/**
 * 刮刮乐活动
 */
// @ts-nocheck
Component({
  data: {
    isReady: false,
    pluginAppId: '2021002191638959',
    pluginPageUrl: '/scratch',
    pluginVersion: '*'
  },

  didMount() {
    this.loadPlugin();
  },

  methods: {
    loadPlugin() {
      const {
        pluginAppId,
        pluginPageUrl,
        pluginVersion
      } = this.data;
      const that = this;
      my.loadPlugin({
        plugin: `${pluginAppId}@${pluginVersion}`,
        success: () => {
          that.setData({
            isReady: true
          });
          my.reLaunch({
            url: `dynamic-plugin://${pluginAppId}${pluginPageUrl}`
          });
        }
      });
    }

  }
});